For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Loop settings

Update your Loop Settings.

Update Loop Settings

put
Authorizations
AuthorizationstringRequired

Enter your PredictHQ API key. The Bearer prefix is added automatically.

When calling the API directly, send: Authorization: Bearer <YOUR_API_KEY> as documented at https://docs.predicthq.com/api/overview/authenticating

Body
org_namestring · min: 1Required

Name to display at the top of the Loop UI for end-users.

This defaults to your Org name as per your PredictHQ account, however you can customize it here to make it different.

E.g. My Org Name

Responses
204

Successful Response

No content

put/v1/loop/settings
PUT /v1/loop/settings HTTP/1.1
Host: api.predicthq.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "org_name": "text"
}

No content

Examples

curl -X PUT "https://api.predicthq.com/v1/loop/settings" \
     -H "Accept: application/json" \
     -H "Authorization: Bearer $API_TOKEN" \
     --data @<(cat <<EOF
    {
        "org_name": "My Org Name"
    }
    EOF
    )
import requests

response = requests.put(
    url="https://api.predicthq.com/v1/loop/settings",
    headers={
        "Authorization": "Bearer $API_TOKEN",
        "Accept": "application/json"
    },
    json={
        "org_name": "My Org Name"
    }
)

print(response.status_code)

OpenAPI Spec

The OpenAPI spec for Loop API can be found here.

Guides

ow are some guides relevant to this API:

Last updated

Was this helpful?